| Cabal-1.2.4.0: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Simple.Install

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Explanation: Perform the "`./setup install`" and "`./setup copy`" actions. Move files into place based on the prefix argument.
Synopsis

install :: PackageDescription -> LocalBuildInfo -> CopyFlags -> IO ()

Documentation

install | Source

:: PackageDescription | information from the .cabal file
-> LocalBuildInfo | information from the configure step
-> CopyFlags | flags sent to copy or install
-> IO () |
Perform the "`./setup install`" and "`./setup copy`" actions. Move files into place based on the prefix argument. FIX: nhc isn't implemented yet.

Produced by Haddock version 0.9